#### Description:

The DssMap class implements a Mapping which transforms between 2-dimensional pixel coordinates and an equatorial sky coordinate system (right ascension and declination) using a Digitised Sky Survey (DSS) astrometric plate solution.

The input coordinates are pixel numbers along the first and second dimensions of an image, where the centre of the first pixel is located at (1,1) and the spacing between pixel centres is unity.

The output coordinates are right ascension and declination in radians. The celestial coordinate system used (FK4, FK5, etc.) is unspecified, and will usually be indicated by appropriate keywords in a FITS header.

#### Constructor Function

The DssMap class does not have a constructor function. A DssMap is created only as a by-product of reading a FrameSet (using astRead) from a FitsChan which contains FITS header cards describing a DSS plate solution, and whose Encoding attribute is set to `"` DSS`"` . The result of such a read, if successful, is a FrameSet whose base and current Frames are related by a DssMap.

#### Inheritance

The DssMap class inherits from the Mapping class.

#### Attributes

The DssMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The DssMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory